| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NotImplementedError Class Reference
Errors and Diagnostics » Errors

An error indicating that an unimplemented function has been called. More...

`#include <ctexceptions.h>`

Inheritance diagram for NotImplementedError:
[legend]

## Detailed Description

An error indicating that an unimplemented function has been called.

Definition at line 194 of file ctexceptions.h.

## Public Member Functions
| NotImplementedError (const string &func)
template<typename... Args>
| NotImplementedError (const string &func, const string &msg, const Args &... args)
| Alternative constructor taking same arguments as CanteraError.
string | getClass () const override
| Method overridden by derived classes to indicate their type.
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const string &procedure, const string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class.
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing.
const char * | what () const override throw ()
| Get a description of the error.
virtual string | getMessage () const
| Method overridden by derived classes to format the error message.
virtual string | getMethod () const
| Get the name of the method that threw the exception.

## Additional Inherited Members
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information.
| CanteraError (const string &procedure)
| Constructor used by derived classes that override getMessage()
Protected Attributes inherited from CanteraError
string | procedure_
| The name of the procedure where the exception occurred.
string | formattedMessage_
| Formatted message returned by what()

## Constructor & Destructor Documentation

## ◆ NotImplementedError() [1/2]

NotImplementedError | ( | const string & | func | ) |
| inline

Parameters

  func | Name of the unimplemented function, such as `ClassName::functionName`

Definition at line 199 of file ctexceptions.h.

## ◆ NotImplementedError() [2/2]

template<typename... Args>

NotImplementedError | ( | const string & | func,
|  | const string & | msg,
|  | const Args &... | args
| ) |  |
| inline

Alternative constructor taking same arguments as CanteraError.

Definition at line 204 of file ctexceptions.h.

## Member Function Documentation

## ◆ getClass()

string getClass | ( |  | ) | const
| inline override virtual

Method overridden by derived classes to indicate their type.

Reimplemented from CanteraError.

Definition at line 207 of file ctexceptions.h.

The documentation for this class was generated from the following file:

- ctexceptions.h